Package io.vertx.oracleclient.spi

## Class OracleDriver

- java.lang.Object
- - io.vertx.oracleclient.spi.OracleDriver

- All Implemented Interfaces:
    `Driver<OracleConnectOptions>`

      public class OracleDriver
      extends Object
      implements Driver<OracleConnectOptions>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OracleDriver` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OracleDriver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptsOptions​(SqlConnectOptions options)` |
    `ConnectionFactory<OracleConnectOptions>` | `createConnectionFactory​(Vertx vertx, NetClientOptions transportOptions)` | Create a connection factory to the given `database`.
    `OracleConnectOptions` | `downcast​(SqlConnectOptions connectOptions)` | Downcast the connect options to the specific driver options.
    `Pool` | `newPool​(Vertx vertx, java.util.function.Supplier<Future<OracleConnectOptions>> databases, PoolOptions options, NetClientOptions transportOptions, Handler<SqlConnection> connectHandler, io.vertx.core.internal.CloseFuture closeFuture)` | Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.
    `OracleConnectOptions` | `parseConnectionUri​(String uri)` |
    `io.vertx.sqlclient.internal.SqlConnectionInternal` | `wrapConnection​(io.vertx.core.internal.ContextInternal context, ConnectionFactory<OracleConnectOptions> factory, io.vertx.sqlclient.internal.Connection conn)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.sqlclient.spi.Driver

      `appendQueryPlaceholder, createPool`

- - ### Field Detail

    - #### INSTANCE

          public static final OracleDriver INSTANCE

  - ### Constructor Detail

    - #### OracleDriver

          public OracleDriver()

  - ### Method Detail

    - #### downcast

          public OracleConnectOptions downcast​(SqlConnectOptions connectOptions)

      Description copied from interface: `Driver`
      Downcast the connect options to the specific driver options.
      Specified by:
        `downcast` in interface `Driver<OracleConnectOptions>`
      Parameters:
        `connectOptions` - the options to downcast
      Returns:
        the downcasted options

    - #### newPool

          public Pool newPool​(Vertx vertx,
                              java.util.function.Supplier<Future<OracleConnectOptions>> databases,
                              PoolOptions options,
                              NetClientOptions transportOptions,
                              Handler<SqlConnection> connectHandler,
                              io.vertx.core.internal.CloseFuture closeFuture)

      Description copied from interface: `Driver`
      Create a connection pool to the database configured with the given `connectOptions` and `poolOptions`.

      This method is not meant to be used directly by users, instead they should use `Driver.createPool(Vertx, Supplier, PoolOptions, NetClientOptions, Handler)`.

      Specified by:
        `newPool` in interface `Driver<OracleConnectOptions>`
      Parameters:
        `vertx` - the Vertx instance to be used with the connection pool
        `databases` - the list of databases
        `options` - the options for creating the pool
        `transportOptions` - the options to configure the TCP client
        `connectHandler` - the connect handler
        `closeFuture` - the close future
      Returns:
        the connection pool

    - #### parseConnectionUri

          public OracleConnectOptions parseConnectionUri​(String uri)

      Specified by:
        `parseConnectionUri` in interface `Driver<OracleConnectOptions>`
      Returns:
        `true` if the driver accepts the `connectOptions`, `false` otherwise

    - #### acceptsOptions

          public boolean acceptsOptions​(SqlConnectOptions options)

      Specified by:
        `acceptsOptions` in interface `Driver<OracleConnectOptions>`
      Returns:
        true if the driver accepts the `connectOptions`, false otherwise

    - #### createConnectionFactory

          public ConnectionFactory<OracleConnectOptions> createConnectionFactory​(Vertx vertx,
                                                                                 NetClientOptions transportOptions)

      Description copied from interface: `Driver`
      Create a connection factory to the given `database`.
      Specified by:
        `createConnectionFactory` in interface `Driver<OracleConnectOptions>`
      Parameters:
        `vertx` - the Vertx instance
        `transportOptions` - the options to configure the TCP client
      Returns:
        the connection factory

    - #### wrapConnection

          public io.vertx.sqlclient.internal.SqlConnectionInternal wrapConnection​(io.vertx.core.internal.ContextInternal context,
                                                                                  ConnectionFactory<OracleConnectOptions> factory,
                                                                                  io.vertx.sqlclient.internal.Connection conn)

      Specified by:
        `wrapConnection` in interface `Driver<OracleConnectOptions>`